# Generated from bht_survey-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bht_survey

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Shim for Faraday access to the APIs of Qualtrics Interface Service
License: MIT
URL: https://github.com/BHT/bht_survey.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
#Requires a hash with three key values
#@workspace = {
'qualtrics_id' => ENV['qualtrics_id'],
'qualtrics_library' => ENV['qualtrics_library_id'],
'study_workspace_name' => 'Shuti-Example'
}
#Requires an API_URL to access the Qualtrics Interface Service
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bht_survey.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.8.0-1
- Initial package
